xcb_reparent_window(3)

NAME
xcb_reparent_window - Reparents a window

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_reparent_window(xcb_connection_t *conn, xcb_window_t window, xcb_window_t parent, int16_t x, int16_t y);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    The window to reparent.

parent
    The new parent of the window.

x   The X position of the window within its new parent.

y   The Y position of the window within its new parent.

DESCRIPTION
Makes the specified window a child of the specified parent window. If the window is mapped, it will automatically be unmapped before reparenting and re-mapped after reparenting. The window is placed in the stacking order on top with respect to sibling windows. After reparenting, a ReparentNotify event is generated.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_reparent_window_checked. See xcb-requests(3) for details.

ERRORS

xcb_match_error_t
    The new parent window is not on the same screen as the old parent window. The new parent window is the specified window or an inferior of the specified window. The new parent is InputOnly and the window is not. The specified window has a ParentRelative background and the new parent window is not the same depth as the specified window.

xcb_window_error_t
    The specified window does not exist.

SEE ALSO
xcb-requests(3), xcb_map_window(3), xcb_reparent_notify_event_t(3), xcb_unmap_window(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.